package com.yihu.hos.system.model;

/**
 * SystemMenu entity. @author MyEclipse Persistence Tools
 */

public class SystemMenu implements java.io.Serializable {

	// Fields

	private String id;
	private String code;
	private String name;
	private String pyCode;
	private String url;
	private String pid;
	private Integer sort;
	private String remark;
	private String orgId;
	private String valid;
	private String openType;

	// Constructors

	/** default constructor */
	public SystemMenu() {
	}

	/** minimal constructor */
	public SystemMenu(String name, String pid, Integer sort, String valid) {
		this.name = name;
		this.pid = pid;
		this.sort = sort;
		this.valid = valid;
	}

	/** full constructor */
	public SystemMenu(String code, String name, String pyCode, String url, String pid, Integer sort, String remark, String orgId, String valid) {
		this.code = code;
		this.name = name;
		this.pyCode = pyCode;
		this.url = url;
		this.pid = pid;
		this.sort = sort;
		this.remark = remark;
		this.orgId = orgId;
		this.valid = valid;
	}

	// Property accessors

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getCode() {
		return this.code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPyCode() {
		return this.pyCode;
	}

	public void setPyCode(String pyCode) {
		this.pyCode = pyCode;
	}

	public String getUrl() {
		return this.url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getPid() {
		return this.pid;
	}

	public void setPid(String pid) {
		this.pid = pid;
	}

	public Integer getSort() {
		return this.sort;
	}

	public void setSort(Integer sort) {
		this.sort = sort;
	}

	public String getRemark() {
		return this.remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getOrgId() {
		return this.orgId;
	}

	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}

	public String getValid() {
		return this.valid;
	}

	public void setValid(String valid) {
		this.valid = valid;
	}

	public String getOpenType() {
		return openType;
	}

	public void setOpenType(String openType) {
		this.openType = openType;
	}
}